﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using System.Diagnostics;

namespace testSimpleSample1
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.DataItems.Add(new Car("Unknown",false));
            xamDataGrid1.DataItems.Add(new Car("BMW",true));

            xamDataGrid1.EditModeEnded += new EventHandler<Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs>(xamDataGrid1_EditModeEnded);
        }

        void xamDataGrid1_EditModeEnded(object sender, Infragistics.Windows.DataPresenter.Events.EditModeEndedEventArgs e)
        {
            Debug.WriteLine("Edit Mode Ended");
        }

        void cValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            XamCheckEditor editor = sender as XamCheckEditor;
            editor.EndEditMode(true, true);
        }
    }

    public class Car
    {
        public string Model { get; set; }
        public bool IsCool { get; set; }
        public Car(string model, bool isCool)
        {
            this.Model = model;
            this.IsCool = isCool;
        }
        public Car()
        {
            this.Model = "new Model";
            this.IsCool = false;
        }
    }
}
